\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Visibility

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Classes
CGAL Namespace Reference

## Classes
class | Rotational_sweep_visibility_2
| This class is a model of the concept `Visibility_2` can answer visibility queries within a polygon that may have holes. More...
class | Simple_polygon_visibility_2
| This class is a model of the concept `Visibility_2` can answer visibility queries within a simple polygon with no holes. More...
class | Triangular_expansion_visibility_2
| This class is a model of the concept `Visibility_2` can answer visibility queries within a polygon that may have holes. More...